<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="successors">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>successors</refname>
    <refpurpose> sommets extrémités des arcs sortant d'un sommet donné  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>a = successors(i,g)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>i  </term>
        <listitem>
          <para>entier 
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>g  </term>
        <listitem>
          <para>graphe (liste) 
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>a  </term>
        <listitem>
          <para>vecteur ligne d'entiers
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>successors</literal> renvoie le vecteur ligne des numéros des sommets extrémités des arcs sortants du sommet i pour un graphe orienté <literal>g</literal> .
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
ta=[1  6  2  4  7  5  6  8  4  3  5  1];
he=[2  1  3  6  4  8  8  7  2  7  3  5];
g=make_graph('foo',1,8,ta,he);
g.nodes.graphics.x=[285  284  335  160  405  189  118  45];
g.nodes.graphics.y=[266  179   83  176  368  252  64  309];
g.nodes.graphics.colors(2,6)=5;
show_graph(g);
a=successors(6,g)
hilite_nodes(a);
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="neighbors">neighbors</link>
      </member>
      <member>
        <link linkend="predecessors">predecessors</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
